clipping_impl = {
   region = {},
   getRegion = function (self)
      return self.region
   end,

   setRegion = function (self, region)
      self.region = region
   end,

   isInside = function(self, pt)
      local ret = foreach(self.region, function(i,v)
                if type(v) == "table" then
                   if %pt.x >= v[1].x and %pt.x <= v[2].x and
                      %pt.y >= v[1].y and %pt.y <= v[2].y
                   then
                      return 1
                   end
                end
             end)
      return ret
   end,
}

clipping_server = lo_createservant(clipping_impl,"TstClipping::Clipping")

writeto("server.ref")
write(clipping_server:_get_ior())
writeto()
