-- The Mico server must be started as
--  >luaorb -ORBIIOPAddr inet:mutantes:7778 -POAImplName TstSvr

if not LuaOrbCfg.getIFR() or LuaOrbCfg.getIFR():_non_existent() then
   error("The Interface Repository is not available.")
end


source_impl = {
   print = function (self, msg)
      print(msg)
      if self.notify_obj then
         self.notify_obj:notify("Message Received")
      end
   end,

   register_callback = function (self, obj)
      self.notify_obj = obj
      if self.notify_obj then
         if obj.is_local then print("*** Local callback ***") end
         self.notify_obj:notify("Listener Registered")
      end
   end
}

source_server = lo_createservant(source_impl,"Tst_Callback::EventSource","TstServer")
