if not LuaOrbCfg.getIFR() or LuaOrbCfg.getIFR():_non_existent() then
   error("The Interface Repository is not available.")
end


worker_impl = {
   work = function (self, id, nw, intervals)
      local area = 0.0
      local width = 1.0/intervals

      print("Worker #"..id.." starting")
      local i = id
      while i < intervals do
         local x = (i + 0.5) * width
         area = area + width*(4.0/(1.0 + x*x))
         i = i + nw
      end
      print("Worker #"..id.." result = "..area)
      return area
   end,
   exit = function (self)
      exit()
   end,
}

worker_servant = lo_createservant(worker_impl,"Tst_DeferredEvent::Worker")

writeto("w"..argv[2]..".ref")
write(worker_servant:_get_ior())
writeto()
