//*****************************************************************************
//
// LuaOrb Library
// Computer Science Department of PUC-Rio
// Rio de Janeiro, Brazil
//
// $Id: lo_out.h,v 1.1.2.1 2001/08/07 13:46:45 moura Exp $
//
//*****************************************************************************


#ifndef LO_OUT_H
#define LO_OUT_H

#define LO_OUT(L) cout << "<" << \
                          (LuaOrbCfg::getConfiguration(L)) -> state_name  \
                       << "> "

#ifdef VERBOSE

#define VERBOSE_OUT(L, msg) \
   if (LuaOrbCfg::modeConfigured(L, VERBOSE_MODE)) LO_OUT(L) << msg << endl;

#define VERBOSE_OUT2(L, msg, arg) \
   if (LuaOrbCfg::modeConfigured(L, VERBOSE_MODE)) LO_OUT(L) << msg << arg << endl;

#else

#define VERBOSE_OUT(L, msg)
#define VERBOSE_OUT2(L, msg, arg)
#endif

#endif
