//*****************************************************************************
//
// LuaOrb Library
// Computer Science Department of PUC-Rio
// Rio de Janeiro, Brazil
//
// $Id: lo_tcode.h,v 1.4.2.1 2001/08/07 13:33:02 moura Exp $
//
//*****************************************************************************


#ifndef LO_TCODE_H
#define LO_TCODE_H

class LuaTypeCode
{
   CORBA(TypeCode_ptr) corba_tc;

public:
   static const char* reg_TAG;
   static const char* reg_UDTAG;

   static void open(lua_State *L);

   static void push(lua_State *L, LuaTypeCode* ltc);
   static LuaTypeCode* check_tag(lua_State *L, int narg);
   static LuaTypeCode* from_lua(lua_State *L, int narg);
   static int isTypeCode(lua_State *L, int pos);

   LuaTypeCode( CORBA(TypeCode_ptr) atc );
   virtual ~LuaTypeCode();

   CORBA(TypeCode_ptr) get_tc() { return corba_tc; }
};

#endif
