//*****************************************************************************
//
// LuaOrb Library
// Computer Science Department of PUC-Rio
// Rio de Janeiro, Brazil
//
// $Id: lo_except.h,v 1.5 2001/03/14 21:37:59 rcerq Exp $
//
//*****************************************************************************


#ifndef EXCEP_H
#define EXCEP_H

#include <string.h>

class Err_NParams
{
public:
   int formal;
   int args;

   Err_NParams(int _formal, int _args)
   {
      formal = _formal;
      args = _args;
   }
};

class Err_NotImpl
{
public:
   char type[256];

   Err_NotImpl(const char* _type) { strcpy(type,_type); }
};

class Err_Param
{
public:
   char type[256];
   int index;

   Err_Param(const char* _type, int i=0)
   {
      strcpy(type,_type);
      index = i;
   }
};

class Err_General
{
public:
   char msg[256];

   Err_General(const char* _msg)
   {
      strcpy(msg,_msg);
   }
};

#endif
